%define subver 10

Summary:	A Web server log file analysis program.
Name:		webalizer
Version:	2.01
Release:	1.0.100
Copyright:	GPL
Group:		Applications/System
Source0:	ftp://www.mrunix.net/pub/webalizer/webalizer-%{version}-%{subver}-src.tar.bz2
Source1:	webalizer.sh
Patch0:		webalizer-2.01-9-sample-gd.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	gd >= 1.8.4
BuildRequires:	gd-devel >= 1.8.4

%description
The Webalizer is a Web server log file analysis program written in C
for speed and portability.  The Webalizer produces usage statistics
reports in HTML format which can be viewed with a browser.  Usage
statistics are presented in both columnar and graphical format and the
reports are very configurable.  The Webalizer supports multiple
languages, unlimited log file sizes and partial logs, standard Common
Logfile Format server logs and some variations of Extended Logfile
Format server logs.

%prep
%setup -q -n webalizer-%{version}-%{subver}
%patch0 -p1

%build
  CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=/usr --mandir=/usr/share/man --with-gdlib=/usr/lib \
	--without-png --without-png-inc \
	--with-gd=/usr/include --enable-dns
  make LIBS="-lgd -lz -lm -lnsl -ldb"

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/usr/bin
  mkdir -p $RPM_BUILD_ROOT/etc/webalizer
  mkdir -p $RPM_BUILD_ROOT/usr/lib/webalizer
  mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
  make prefix=$RPM_BUILD_ROOT/usr install

  install -m 644 sample.conf $RPM_BUILD_ROOT/etc/webalizer/webalizer.conf
  install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/webalizer
  rm -f $RPM_BUILD_ROOT/usr/bin/webazolver && \
        cd $RPM_BUILD_ROOT/usr/bin && ln -s webalizer webazolver

%files
  %defattr(-,root,root) 
  %config /etc/webalizer/webalizer.conf
  /usr/bin/webalizer
  /usr/bin/webazolver
  /usr/lib/webalizer/webalizer.sh

  %doc CHANGES COPYING Copyright INSTALL README
  %doc country-codes.txt msfree.gif webalizer.LSM 

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jan 17 2003 Eric B. Lubow <eric@guardiandigital.com>
- Version 2.01, Release 1.0.100
  + Built against newer version of gdlib (1.8.4)

* Thu Apr 18 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.01, Release 1.0.4
  - Update to 2.01-10.  Fixed a buch of little bugs and an obscure
    buffer oveflow.

* Wed Oct 31 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.01, Release 1.0.3
  - Happy Halloween!
  - Sanitized old non-GD changelog entries.  Ryan-ized spec so it
    looks more like 1.1/2.0 specs.
  - Update to version 2.01 (sublevel 09) to fix date rollover bug and
    cross-site scripting vulnerability.
  - Make output images GIF's rather then PNG's so we don't have to issue a
    gd update as well.
  - Specify LIBS to make manually so we don't link against -lpng.
  - This update also enable DNS resolution.

* Tue Apr 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.30.04, Release 1.0.2
  - Fixed to build for i386.

* Sun Nov 26 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.30.04, Revision 1.0.1
- Updated revision to match our naming system.
- Moved config file into /etc/webalizer
